AWS IoT Device SDK C++ v2: Aws::Crt::Imds::InstanceInfo Struct Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Crt::Imds::InstanceInfo Struct Reference

`#include <ImdsClient.h>`

## Public Member Functions
| InstanceInfo ()
| InstanceInfo (const InstanceInfoView &other)
InstanceInfo & | operator= (const InstanceInfoView &other)

## Public Attributes
Vector< String > | marketplaceProductCodes
String | availabilityZone
String | privateIp
String | version
String | instanceId
Vector< String > | billingProducts
String | instanceType
String | accountId
String | imageId
DateTime | pendingTime
String | architecture
String | kernelId
String | ramdiskId
String | region

## Detailed Description

A convenient class for you to persist data from InstanceInfoView, which has StringView members.

## Constructor & Destructor Documentation

## ◆ InstanceInfo() [1/2]

Aws::Crt::Imds::InstanceInfo::InstanceInfo | ( |  | ) |
| inline

## ◆ InstanceInfo() [2/2]

Aws::Crt::Imds::InstanceInfo::InstanceInfo | ( | const InstanceInfoView & | other | ) |

## Member Function Documentation

## ◆ operator=()

InstanceInfo & Aws::Crt::Imds::InstanceInfo::operator= | ( | const InstanceInfoView & | other | ) |

## Member Data Documentation

## ◆ accountId

String Aws::Crt::Imds::InstanceInfo::accountId

## ◆ architecture

String Aws::Crt::Imds::InstanceInfo::architecture

## ◆ availabilityZone

String Aws::Crt::Imds::InstanceInfo::availabilityZone

## ◆ billingProducts

Vector<String> Aws::Crt::Imds::InstanceInfo::billingProducts

## ◆ imageId

String Aws::Crt::Imds::InstanceInfo::imageId

## ◆ instanceId

String Aws::Crt::Imds::InstanceInfo::instanceId

## ◆ instanceType

String Aws::Crt::Imds::InstanceInfo::instanceType

## ◆ kernelId

String Aws::Crt::Imds::InstanceInfo::kernelId

## ◆ marketplaceProductCodes

Vector<String> Aws::Crt::Imds::InstanceInfo::marketplaceProductCodes

## ◆ pendingTime

DateTime Aws::Crt::Imds::InstanceInfo::pendingTime

## ◆ privateIp

String Aws::Crt::Imds::InstanceInfo::privateIp

## ◆ ramdiskId

String Aws::Crt::Imds::InstanceInfo::ramdiskId

## ◆ region

String Aws::Crt::Imds::InstanceInfo::region

## ◆ version

String Aws::Crt::Imds::InstanceInfo::version

The documentation for this struct was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/ImdsClient.h
- crt/aws-crt-cpp/source/ImdsClient.cpp